Re: [meta-security][PATCH] trousers: Fix the problem that do_package fails when multilib is enabled.


Armin Kuster
 

merged
thanks

On 9/7/20 10:28 PM, zhengruoqin wrote:
The following error will occur when multilib is enabled:
ERROR: trousers-0.3.14+gitAUTOINC+e74dd1d967-r0 do_package: QA Issue: trousers: Files/directories were installed but not shipped in any package:
/lib
/lib/systemd
/lib/systemd/system
/lib/systemd/system/tcsd.service

Signed-off-by: Zheng Ruoqin <zhengrq.fnst@...>
---
meta-tpm/recipes-tpm/trousers/trousers_git.bb | 2 ++
1 file changed, 2 insertions(+)

diff --git a/meta-tpm/recipes-tpm/trousers/trousers_git.bb b/meta-tpm/recipes-tpm/trousers/trousers_git.bb
index 992e7f2..27b4e2f 100644
--- a/meta-tpm/recipes-tpm/trousers/trousers_git.bb
+++ b/meta-tpm/recipes-tpm/trousers/trousers_git.bb
@@ -104,6 +104,8 @@ FILES_${PN}-doc = " \
${mandir}/man8 \
"

+FILES_${PN} += "${systemd_unitdir}/*"
+
INITSCRIPT_NAME = "trousers"
INITSCRIPT_PARAMS = "start 99 2 3 4 5 . stop 19 0 1 6 ."


Join yocto@lists.yoctoproject.org to automatically receive all group messages.